<!-- 测试 -->
<template>
	<view id="informationInfo">
		<view class="info-box">
			<view class="info-title">{{itemData.title}}</view>
			<rich-text class="info-text" :nodes="itemData.content"></rich-text>
			<view class="info-userName">{{itemData.userName?itemData.userName:'--'}}</view>
			<view class="info-time">{{itemData.sendTime}}</view>
		</view>
	</view>
</template>

<script>
	import {
		systemNoticeGetNoticeDetail
	} from '@/pages/api/index.js'
	export default {
		data() {
			return {
				itemData: {},
			}
		},
		onLoad(option) {
			this.itemData = JSON.parse(decodeURIComponent(option.item));
			uni.setNavigationBarTitle({
				title: this.itemData.className
			});
			this.$nextTick(() => {
				this.systemNoticeGetNoticeDetail();
			})
		},
		methods: {
			//获取系统消息类型
			async systemNoticeGetNoticeDetail() {
				const {
					data
				} = await systemNoticeGetNoticeDetail({
					noticeId: this.itemData.noticeId
				});
			},
		}
	}
</script>

<style lang="stylus" scoped>
	#informationInfo {
		height: 100%;
		display: flex;
		flex-direction: column;
		overflow-y: scroll;

		.info-box {
			margin: 20rpx;
			background-color: #fff;
			border-radius: 20rpx;
			padding: 20rpx;

			.info-title {
				line-height: 50rpx;
				font-size: 32rpx;
				text-align: center;
				margin-bottom: 20rpx;
			}

			.info-text {
			}

			.info-userName {
				font-size: 28rpx;
				margin:60rpx 0 20rpx;
				text-align: right;
				margin-right: 60rpx;
			}

			.info-time {
				font-size: 28rpx;
				text-align: right;
				margin-right: 40rpx;
				margin-bottom: 20rpx;
			}
		}
	}
</style>